Page MenuHomePhabricator

Explore Feed card for Fundraising campaign
Closed, ResolvedPublic

Description

Visual


Concept

  • Constraints, according to T235447#5575829
    • No weekday variable
    • No device variable
  • Always show weekday and date above the actual fundraising card.
  • Card is always be displayed first in the feed (also before the “Sync reading lists”)
  • “Donate now” leads users to payments page
  • “No thanks” dismisses the card and the appeal won’t be shown in the app anymore (also on article page)

Questions / Todos for Online Fundraising

  • Copy
    • Needs to be refined and localized by fundraising team for en6C countries (US, GB, IE, AU, NZ, CA). See last year’s copy below.
    • Should we use the same copy for both Explore feed card and article fundraising dialog (T235538)? Customized copy would be possible too.
    • Length should be about the same as last year (585 characters / 105 words).
  • Provide links (per country?) for “Donate now” CTA

Copy:

US
To all our readers in the U.S.,
It's a little awkward, so we'll get straight to the point: Today we humbly ask you to defend Wikipedia's independence. We depend on donations averaging about $16.36, but 99% of our readers don't give. If everyone reading this gave $2.75, we could keep Wikipedia thriving for years to come. The price of a cup of coffee today is all we need.
Wikipedia is a place to learn, not a place for advertising. It unites all of us who love knowledge: contributors, readers and the donors who keep us thriving. We know that most people will ignore this message. But if Wikipedia is useful to you, please take a minute to help keep it growing. Thank you.

UK
To all our readers in the UK,
It's a little awkward, so we'll get straight to the point: Today we humbly ask you to defend Wikipedia's independence. We depend on donations averaging about £10, but 99% of our readers don't give. If everyone reading this gave £2, we could keep Wikipedia thriving for years to come. The price of a cup of coffee today is all we need.
Wikipedia is a place to learn, not a place for advertising. It unites all of us who love knowledge: contributors, readers and the donors who keep us thriving. We know that most people will ignore this message. But if Wikipedia is useful to you, please take a minute to help keep it growing. Thank you.

IE
To all our readers in Ireland,
It's a little awkward, so we'll get straight to the point: Today we humbly ask you to defend Wikipedia's independence. We depend on donations averaging about €10, but 99% of our readers don't give. If everyone reading this gave €2, we could keep Wikipedia thriving for years to come. The price of a cup of coffee today is all we need.
Wikipedia is a place to learn, not a place for advertising. It unites all of us who love knowledge: contributors, readers and the donors who keep us thriving. We know that most people will ignore this message. But if Wikipedia is useful to you, please take a minute to help keep it growing. Thank you.

AU
To all our readers in Australia,
It's a little awkward, so we'll get straight to the point: Today we humbly ask you to defend Wikipedia's independence. We depend on donations averaging about $15, but 99% of our readers don't give. If everyone reading this gave $2.75, we could keep Wikipedia thriving for years to come. The price of a cup of coffee today is all we need.
Wikipedia is a place to learn, not a place for advertising. It unites all of us who love knowledge: contributors, readers and the donors who keep us thriving. We know that most people will ignore this message. But if Wikipedia is useful to you, please take a minute to help keep it growing. Thank you.

NZ
To all our readers in New Zealand,
It's a little awkward, so we'll get straight to the point: Today we humbly ask you to defend Wikipedia's independence. We depend on donations averaging about $15, but 99% of our readers don't give. If everyone reading this gave $2.75, we could keep Wikipedia thriving for years to come. The price of a cup of coffee today is all we need.
Wikipedia is a place to learn, not a place for advertising. It unites all of us who love knowledge: contributors, readers and the donors who keep us thriving. We know that most people will ignore this message. But if Wikipedia is useful to you, please take a minute to help keep it growing. Thank you.

CA
To all our readers in Canada,
It's a little awkward, so we'll get straight to the point: Today we humbly ask you to defend Wikipedia's independence. We depend on donations averaging about $15, but 99% of our readers don't give. If everyone reading this gave $2.75, we could keep Wikipedia thriving for years to come. The price of a cup of coffee today is all we need.
Wikipedia is a place to learn, not a place for advertising. It unites all of us who love knowledge: contributors, readers and the donors who keep us thriving. We know that most people will ignore this message. But if Wikipedia is useful to you, please take a minute to help keep it growing. Thank you.


Last year's announcement card:
https://gerrit.wikimedia.org/r/#/c/mediawiki/services/mobileapps/+/473248/

wikifeeds (should push patch to this repo).
https://gerrit.wikimedia.org/r/#/q/project:mediawiki/services/wikifeeds

Details

Related Gerrit Patches:
operations/deployment-charts : masterUpdate wikifeeds to 2019-11-25-173023-production
mediawiki/services/wikifeeds : master2019 app fundraising announcements

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2019, 1:38 PM
LGoto assigned this task to cooltey.Oct 16 2019, 3:34 PM
LGoto triaged this task as High priority.

Change 545071 had a related patch set uploaded (by Cooltey; owner: Cooltey):
[mediawiki/services/wikifeeds@master] [WIP] 2019 app fundraising announcements

https://gerrit.wikimedia.org/r/545071

schoenbaechler added subscribers: Pcoombe, Dbrant.EditedOct 30 2019, 8:39 PM

Hey all, I put some thought into this year’s app fundraising efforts for the Explore feed on Android. In-article experience suggestions will follow later in the week in T235538.

20182019
Start: with payment methodsDuring campaign: Removed payment methodsA: “Maxed out” w/ info i icon, red underline, lock icon in CTA and payment methodB: ”Maxed out” w/o info i and payment methodsC: Lightest version with “just” the red border

Comments / notes:

  • Constraints, according to T235447#5575829
    • No weekday variable
    • No device variable
  • In order to give users a feeling of time and date anyway, I suggest to always show weekday and date above the actual fundraising card.
  • In contrary to last year’s fundraising card, it would always be displayed first in the feed (also before the “Sync reading lists”)
  • I expect that variant A would perform best, followed by B and C. If we want to make a huge difference in regards to Explore feed fundraising this year, A is the way to go.
  • In regards to variant C:
    • If we can’t use a real “info i“ icon, I suggest to not use the HTML character entity (ⓘ) at all this year. It’s confusing as it’s not a proper design asset.
    • Same for the underline, if we can’t implement a thicker red underline; using bold to highlight the key line (“If everyone...“) is sufficient and probably more effective by itself.
  • Copy itself is likely to be refined by the fundraising team

Please review @Charlotte & @Dbrant


CC: @spatton @Pcoombe 👋


Related task: T235529

Charlotte added a comment.EditedOct 30 2019, 10:23 PM

@schoenbaechler - Thanks for these! They look really good. As far as I remember from last year, @Dbrant was quite adamant that we could not do a red underline. So we might have to live with the bolding instead of the underline. I'm also not a huge fan of the red i icon tbh - it's very intrusive. And we had put the payment logos at the top as far as I recall because the native component wouldn't do them on the bottom.

I'm happy with C as a fallback position, but let's have @Dbrant's technical input on the other designs. Whatever we can get with the native components available to us, let's try.

schoenbaechler added a comment.EditedOct 31 2019, 10:49 AM

@Charlotte – thanks for your reply.

I think nobody is a fan of the ”info i“ icon but it has proven to perform very well in hundreds of A/B tests ;). And yes, you can see in the first screen (F30929999) from the table I posted earlier, we moved away from having the payment methods at the top in 2018 as it felt too transactional. Having payment methods at the bottom of the card is a whole other story and has also proven to be very effective.

To summarize for @Dbrant, these are the elements we are currently discussing – is it feasible or partly feasible to:

  • 01) ... always display the fundraising card first in the Explore feed?
  • 02) ... always show weekday and date above the fundraising card in the Explore feed?
  • 03) ... inject the “info i” icon (as a vector asset not HTML character entity)?
  • 04) ... use a red bottom border/underline (~ 2px) for the key sentence in the copy?
  • 05) ... use an icon in the card’s “Donate now” CTA?
  • 06) ... insert an image at the bottom of a card?

And to reiterate: the elements suggested above are not random, they have been validated in numerous A/B tests and work. I highly recommend to investigate on it as it will lead to more donations via the Android app.

Thanks all!

CC: @spatton @Pcoombe

Charlotte added a comment.EditedOct 31 2019, 12:48 PM

@schoenbaechler - With the images at the top, I'm not talking about what's best for fundraising (because I think everyone agrees they're distracting and weird when placed at the top, and that it is better not to have them than to put people off), but what was feasible last year. Let's see whether we can be a bit more flexible this year. Thanks for summarising the list of technical questions - super useful. 😃

As ever, this will depend on how much effort we want to exert (and how much time we'll have) to add more bells and whistles to the Announcement card.
Some replies and notes:

01) ... always display the fundraising card first in the Explore feed?

This should already be the case.

02) ... always show weekday and date above the fundraising card in the Explore feed?

This is already the case. (is it not?)

03) ... inject the “info i” icon (as a vector asset not HTML character entity)?
04) ... use a red bottom border/underline (~ 2px) for the key sentence in the copy?

As before, the body of the Announcement card is restricted to plain text, with very minimal styling. We can actually have text that is colored red and underlined, but not colored black with red underline.

If we want richer styling beyond this, we'll need to think about changing the Announcement card to be a WebView, where we can inject a literal chunk of HTML with whatever content we like. This will have the benefit of being somewhat future-proof, but it will be very difficult to build, with a lot of questions to answer (e.g. how to handle dark mode). The fact of it being a WebView will also degrade the performance of the Feed, and will kind of erode away at the necessity of a native app.

05) ... use an icon in the card’s “Donate now” CTA?

This cannot be an image, but can be a Unicode character that is part of the button label.

06) ... insert an image at the bottom of a card?

This can be done fairly easily, by adding more parameters to the announcement API.

Thanks @Dbrant for the input. Quick observations:

  • WebView definitely off the table given both time constraints and the performance degradation it would entail.
  • AFAIK 1 and 2 are already the case - they were with last year's card anyway
  • @schoenbaechler - U+1F512 is the unicode lock character: can you confirm we should go with that?
  • Don't forget we'll need multiple sizes of the payment methods image. iOS had problems with this last year: perhaps @JoeWalsh can give input here if relevant.

On iOS, scaling a single image with the all the payment icons resulted in inconsistent spacing and cropping. IIRC the proposed solution had there been time for it would be to have an array of images at different scales for the clients to arrange. I'd advocate for leaving the payment methods out due to the added complexity.

Thanks for all the comments @Dbrant @Charlotte @JoeWalsh. Based on these infos, here are the suggested designs.

Explore feedArticle

Remarks:

  • As you can see, designs are not including using a character entity for the lock icon in the CTA for the same reasons as mentioned for the “info i” in T235652#5575829
  • I think red text for the key sentence is too much, I suggest to use good old typography basics and just make the text bold
  • Remembered the issues we had with the payment images last year, so I agree with @Charlotte + @JoeWalsh to not use it
  • Since we’re adding article fundraising this year (which will have a enormous reach compared to last year), I think we don’t need to go too far with “alarming” elements. Honestly, we could even think about not using the red border in both designs.
  • Will update this task’s and its related task’s (T235538) description in a moment to reflect these changes (includes visuals to Zeplin)

Hey just to get this on your radar @spatton or @Pcoombe:

Questions / Todos for Online Fundraising

  • Copy
    • Needs to be refined and localized by fundraising team for en6C countries (US, GB, IE, AU, NZ, CA). See last year’s copy below.
    • Should we use the same copy for both Explore feed card and article fundraising dialog (T235538)? Customized copy would be possible too.
    • Length should be about the same as last year (585 characters / 105 words).
  • Provide links (per country?) for “Donate now” CTA

Cheers!

Thanks for turning this around so quickly @schoenbaechler - it's looking good!

Thanks @schoenbaechler, here's the current status of implementation and it's almost done.

  • The text will be updated once receive the latest copy.
  • There's no date on announcement cards, would that be okay to you?
schoenbaechler added a comment.EditedNov 4 2019, 9:41 AM

Thanks @cooltey, comments below.

01)

The text will be updated once receive the latest copy.

Please make sure to get rid of the "info i" character entity (ⓘ) and the black underline on the key sentence.

02)

There's no date on announcement cards, would that be okay to you?

Referencing to here and now has proven to be very effective in fundraising appeals. Is there a way to make displaying weekday and date possible above the card? I suggest to put some time into investigating on it.

03)

Can we use color_group_18 for the border above the disclaimer (By donating, you agree to our donor privacy policy.)

Done.

Referencing to here and now has proven to be very effective in fundraising appeals. Is there a way to make displaying weekday and date possible above the card? I suggest to put some time into investigating on it.

I added the regular date format (just like other card type) above the fundraising card, does that work for you?

Thanks @cooltey, this is going to have a positive impact on donations. Question: what is its current behavior? It would be ideal if it always updates to the current weekday & date.

Thanks @cooltey, this is going to have a positive impact on donations. Question: what is its current behavior? It would be ideal if it always updates to the current weekday & date.

@schoenbaechler Yes, it always updates to the current weekday and date, just like other cards on the Explore feed (e.g. trending)

Hey @Charlotte, @cooltey, @schoenbaechler, @Dbrant, @JoeWalsh : your work is so appreciated 🙏

Here's updated copy for the 6 countries in which these banners will run:

US
To all our readers in the U.S.,
It's a little awkward, so we'll get straight to the point: Today we humbly ask you to defend Wikipedia's independence. We depend on donations averaging about $16.36, but 99% of our readers don't give. If everyone reading this gave $2.75, we could keep Wikipedia thriving for years to come. The price of a cup of coffee today is all we need.
Wikipedia is a place to learn, not a place for advertising. It unites all of us who love knowledge: contributors, readers and the donors who keep us thriving. We know that most people will ignore this message. But if Wikipedia is useful to you, please take a minute to help keep it growing. Thank you.

UK
To all our readers in the UK,
It's a little awkward, so we'll get straight to the point: Today we humbly ask you to defend Wikipedia's independence. We depend on donations averaging about £10, but 99% of our readers don't give. If everyone reading this gave £2, we could keep Wikipedia thriving for years to come. The price of a cup of coffee today is all we need.
Wikipedia is a place to learn, not a place for advertising. It unites all of us who love knowledge: contributors, readers and the donors who keep us thriving. We know that most people will ignore this message. But if Wikipedia is useful to you, please take a minute to help keep it growing. Thank you.

IE
To all our readers in Ireland,
It's a little awkward, so we'll get straight to the point: Today we humbly ask you to defend Wikipedia's independence. We depend on donations averaging about €10, but 99% of our readers don't give. If everyone reading this gave €2, we could keep Wikipedia thriving for years to come. The price of a cup of coffee today is all we need.
Wikipedia is a place to learn, not a place for advertising. It unites all of us who love knowledge: contributors, readers and the donors who keep us thriving. We know that most people will ignore this message. But if Wikipedia is useful to you, please take a minute to help keep it growing. Thank you.

AU
To all our readers in Australia,
It's a little awkward, so we'll get straight to the point: Today we humbly ask you to defend Wikipedia's independence. We depend on donations averaging about $15, but 99% of our readers don't give. If everyone reading this gave $2.75, we could keep Wikipedia thriving for years to come. The price of a cup of coffee today is all we need.
Wikipedia is a place to learn, not a place for advertising. It unites all of us who love knowledge: contributors, readers and the donors who keep us thriving. We know that most people will ignore this message. But if Wikipedia is useful to you, please take a minute to help keep it growing. Thank you.

NZ
To all our readers in New Zealand,
It's a little awkward, so we'll get straight to the point: Today we humbly ask you to defend Wikipedia's independence. We depend on donations averaging about $15, but 99% of our readers don't give. If everyone reading this gave $2.75, we could keep Wikipedia thriving for years to come. The price of a cup of coffee today is all we need.
Wikipedia is a place to learn, not a place for advertising. It unites all of us who love knowledge: contributors, readers and the donors who keep us thriving. We know that most people will ignore this message. But if Wikipedia is useful to you, please take a minute to help keep it growing. Thank you.

CA
To all our readers in Canada,
It's a little awkward, so we'll get straight to the point: Today we humbly ask you to defend Wikipedia's independence. We depend on donations averaging about $15, but 99% of our readers don't give. If everyone reading this gave $2.75, we could keep Wikipedia thriving for years to come. The price of a cup of coffee today is all we need.
Wikipedia is a place to learn, not a place for advertising. It unites all of us who love knowledge: contributors, readers and the donors who keep us thriving. We know that most people will ignore this message. But if Wikipedia is useful to you, please take a minute to help keep it growing. Thank you.

Thanks @spatton

Provide links (per country?) for “Donate now” CTA

This year we have a banner in article or explore feed, what would be the links look like?

Here's the link from last year: https://donate.wikimedia.org/?uselang=en&utm_medium=WikipediaAppFeed&utm_campaign=Android&utm_source=app_201812_6C_control

Hey @cooltey, thanks for asking! Sorry it took a minute to respond.

So per your point, I know that this year's banners will display in the article or explore feed; it's not possible to set a different link for each of those two placement options, right?

Presuming the answer is no, here's an updated link that makes a couple changes, including taking the Feed specificity off the utm_medium value.

Updated landing page link: https://donate.wikimedia.org/?uselang=en&appeal=JimmyQuote&utm_medium=WikipediaApp&utm_campaign=Android&utm_source=app_201912_6C_control

cooltey added a comment.EditedNov 21 2019, 10:38 PM

@spatton

If you really need to collect the data, we can have extra code in our app to change the WikipediaApp string and add either Feed or Article of it or contains two URLs in the API with different utm_medium values for showing in feed or article.

But it would be better to keep it simple.

Change 545071 merged by jenkins-bot:
[mediawiki/services/wikifeeds@master] 2019 app fundraising announcements

https://gerrit.wikimedia.org/r/545071

Change 552864 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/deployment-charts@master] Update wikifeeds to 2019-11-25-173023-production

https://gerrit.wikimedia.org/r/552864

Change 552864 merged by jenkins-bot:
[operations/deployment-charts@master] Update wikifeeds to 2019-11-25-173023-production

https://gerrit.wikimedia.org/r/552864

@cooltey is there a way to check the Explore feed cards for testing purposes? I played around with the settings (according to T235538#5691719) but wasn’t able to make it show up. Thx.

@schoenbaechler You can use the current production app to test it since it has not been updated to the version that supports the red border and in-article fundraising dialog.

hey @cooltey just wanted to check but seems like the production app now supports in-article as well (2.7.50304-r-2019-11-25):

schoenbaechler added a comment.EditedNov 27 2019, 10:56 PM

Adding a note here that I wasn’t able to check this yet (completely with red border) in a previous app version. Let me know if you know more @Dbrant / @cooltey.

@schoenbaechler

The version 2.7.50303 and 2.7.50302 accidentally contain the code of hiding the fundraising card from the Explore feed if the placement: article.

We can update the announcement endpoint and also update our app with version code AndroidAppV3, but as @Dbrant mentioned we can sit on this until the end of the weekend, and see the uptake numbers for the newest version of the app.

If most of the user updates to the latest version of the app then it would be an non-issue.

Ok @cooltey, moving it back to “Did not pass QA“ for now.

The version 2.7.50303 and 2.7.50302 accidentally contain the code of hiding the fundraising card from the Explore feed if the placement: article.

It was agreed that this version of the app has an install base that is insignificant enough to be negligible.

Dbrant closed this task as Resolved.Dec 9 2019, 5:22 PM